RESTinio

Public Member Functions | Private Attributes | List of all members
restinio::easy_parser::impl::caseless_exact_fixed_size_fragment_producer_t< Size > Class Template Reference

A producer that expects a fragment in the input and produces boolean value if that fragment is found. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::caseless_exact_fixed_size_fragment_producer_t< Size >:

## Public Member Functions
| caseless_exact_fixed_size_fragment_producer_t (const char(&f)[Size])
RESTINIO_NODISCARD expected_t< bool, parse_error_t > | try_parse (source_t &from)

## Private Attributes
std::array< char, Size-1u > | m_fragment

## Additional Inherited Members
Public Types inherited from restinio::easy_parser::impl::producer_tag< bool >
using | result_type = bool
Static Public Attributes inherited from restinio::easy_parser::impl::producer_tag< bool >
static constexpr entity_type_t | entity_type

## Detailed Description

template<std::size_t Size>
class restinio::easy_parser::impl::caseless_exact_fixed_size_fragment_producer_t< Size >

A producer that expects a fragment in the input and produces boolean value if that fragment is found.

The comparison is performed in case-insensitive manner.

This class is indended for working with fixed-size string literals with terminating null-symbol.

Since
  v.0.6.9

Definition at line 3462 of file easy_parser.hpp.

## Constructor & Destructor Documentation

## ◆ caseless_exact_fixed_size_fragment_producer_t()

template<std::size_t Size>

restinio::easy_parser::impl::caseless_exact_fixed_size_fragment_producer_t< Size >::caseless_exact_fixed_size_fragment_producer_t | ( | const char(&) | f[Size] | ) |
| inline

Definition at line 3471 of file easy_parser.hpp.

## Member Function Documentation

## ◆ try_parse()

template<std::size_t Size>

RESTINIO_NODISCARD expected_t< bool, parse_error_t > restinio::easy_parser::impl::caseless_exact_fixed_size_fragment_producer_t< Size >::try_parse | ( | source_t & | from | ) |
| inline

Definition at line 3485 of file easy_parser.hpp.

## Member Data Documentation

## ◆ m_fragment

template<std::size_t Size>

std::array< char, Size-1u > restinio::easy_parser::impl::caseless_exact_fixed_size_fragment_producer_t< Size >::m_fragment
| private

Definition at line 3468 of file easy_parser.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/easy_parser.hpp